Skip to content

Get switch reconciliation status

GET
/network/switch/sync
curl --request GET \
--url https://sylve.lan:8181/api/network/switch/sync \
--header 'Authorization: <Authorization>'

Get the last runtime and bootstrap switch results, including exhausted failures. This is not continuous live-state health.

OK

Media typeapplication/json
object
data
object
bootstrap
object
attempts
integer
completedAt
string
error
string
failures
Array<object>
object
bridge
string
error
string
name
string
phase
string
switchId
integer
lastAttemptAt
string
state
string
runtime
object
attempts
integer
completedAt
string
error
string
failures
Array<object>
object
bridge
string
error
string
name
string
phase
string
switchId
integer
lastAttemptAt
string
state
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"bootstrap": {
"attempts": 1,
"completedAt": "example",
"error": "example",
"failures": [
{
"bridge": "example",
"error": "example",
"name": "example",
"phase": "example",
"switchId": 1
}
],
"lastAttemptAt": "example",
"state": "example"
},
"runtime": {
"attempts": 1,
"completedAt": "example",
"error": "example",
"failures": [
{
"bridge": "example",
"error": "example",
"name": "example",
"phase": "example",
"switchId": 1
}
],
"lastAttemptAt": "example",
"state": "example"
}
},
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}